### Constructor

# Gdk ContentProvidernew_for_value

#### Declaration [src]

    GdkContentProvider*
    gdk_content_provider_new_for_value (
      const GValue* value
    )

#### Description [src]

Create a content provider that provides the given `value`.

#### Parameters

`value`

  Type: `GValue`

  A `GValue`

  The data is owned by the caller of the function.

#### Return value

Type: `GdkContentProvider`

A new `GdkContentProvider`

The caller of the function takes ownership of the data, and is responsible for freeing it.